--PACE.ID_PLAN_ACCION_ESTRATEGICA  = 4 / PXE-2023-000004 / Facultad de Ciencias de la Tierra y el Mar
-- CONSULTA CON DATOS

SELECT 
ACE.ID_ACCION_ESTRATEGICA,
APE.ID_APORTE_ESTRATEGICO

FROM 
  ACCION_ESTRATEGICA ACE
INNER JOIN 
  APORTE_ESTRATEGICO APE ON (APE.ACCION_ESTRATEGICA = ACE.ID_ACCION_ESTRATEGICA)
INNER JOIN PLAN_ACCION_ESTRATEGICA PACE ON (PACE.ID_PLAN_ACCION_ESTRATEGICA = ACE.PLAN_ACCION_ESTRATEGICA)
-- ACUMULADO
INNER JOIN (
    SELECT * FROM TABLE(PPI.OBTENER_ACUMULADO_X_PERIODO_ANUAL(:periodoAnual))
) ACUMULADO ON APE.ID_APORTE_ESTRATEGICO = ACUMULADO.APORTE_ESTRATEGICO

WHERE ACE.ID_ACCION_ESTRATEGICA = 129
ORDER BY 
  APE.ID_APORTE_ESTRATEGICO;  
  
  
--FINAL

SELECT 
  ACE.ID_ACCION_ESTRATEGICA,
  SUM(ACUMULADO.ACUMULADO) AS ACUMULADO_X_ACCION
FROM 
  ACCION_ESTRATEGICA ACE
INNER JOIN 
  APORTE_ESTRATEGICO APE ON (APE.ACCION_ESTRATEGICA = ACE.ID_ACCION_ESTRATEGICA)
-- ACUMULADO
INNER JOIN (
    SELECT * FROM TABLE(PPI.OBTENER_ACUMULADO_X_PERIODO_ANUAL(:periodoAnual))
) ACUMULADO ON APE.ID_APORTE_ESTRATEGICO = ACUMULADO.APORTE_ESTRATEGICO
GROUP BY 
  ACE.ID_ACCION_ESTRATEGICA,
  ACE.DESCRIPCION
ORDER BY 
  ACE.ID_ACCION_ESTRATEGICA;


--SIN PERIODO / DATOS

SELECT 
  ACE.ID_ACCION_ESTRATEGICA,
  ACUMULADO.ACUMULADO_APORTE
FROM 
  ACCION_ESTRATEGICA ACE
INNER JOIN 
  APORTE_ESTRATEGICO APE ON (APE.ACCION_ESTRATEGICA = ACE.ID_ACCION_ESTRATEGICA)
-- ACUMULADO
INNER JOIN (
    SELECT * FROM TABLE(PPI.PPE_OBTENER_ACUMULADO_X_APORTE())
) ACUMULADO ON APE.ID_APORTE_ESTRATEGICO = ACUMULADO.APORTE_ESTRATEGICO
--GROUP BY 
  --ACE.ID_ACCION_ESTRATEGICA
ORDER BY 
  ACE.ID_ACCION_ESTRATEGICA;
  
--SIN PERIODO / ACUMULADO
SELECT 
  ACE.ID_ACCION_ESTRATEGICA ACCION_ESTRATEGICA,
  SUM(ACUMULADO.ACUMULADO_APORTE) ACUMULADO_ACCION
FROM 
  ACCION_ESTRATEGICA ACE
INNER JOIN 
  APORTE_ESTRATEGICO APE ON (APE.ACCION_ESTRATEGICA = ACE.ID_ACCION_ESTRATEGICA)
-- ACUMULADO
INNER JOIN (
    SELECT * FROM TABLE(PPI.PPE_OBTENER_ACUMULADO_X_APORTE())
) ACUMULADO ON APE.ID_APORTE_ESTRATEGICO = ACUMULADO.APORTE_ESTRATEGICO
GROUP BY 
  ACE.ID_ACCION_ESTRATEGICA
ORDER BY 
  ACE.ID_ACCION_ESTRATEGICA;
