-- CONSULTA CON DATOS

SELECT 
PEPMP.ID_PRIORIDAD_ESTRATEGICA_PMP,
MPMP.ID_META_PMP,
ACUMULADO_METAPMP.ACUMULADO_METAPMP           ACUMULADO_PRIORIDAD
FROM 
PRIORIDAD_ESTRATEGICA_PMP PEPMP
INNER JOIN DETALLE_PMP DPMP ON (DPMP.PRIORIDAD_ESTRATEGICA_PMP = PEPMP.ID_PRIORIDAD_ESTRATEGICA_PMP)
INNER JOIN META_PMP MPMP ON (MPMP.DETALLE_PMP = DPMP.ID_DETALLE_PMP)

--ACUMULADO METAPMP
INNER JOIN (
    SELECT * FROM TABLE(PPI.OBTENER_ACUMULADO_METAPMP_X_PERIODO_ANUAL(:periodoAnual))
) ACUMULADO_METAPMP ON MPMP.ID_META_PMP = ACUMULADO_METAPMP.META_PMP

ORDER BY
PEPMP.ID_PRIORIDAD_ESTRATEGICA_PMP,
MPMP.ID_META_PMP
;




  
--FINAL

SELECT 
    PEPMP.ID_PRIORIDAD_ESTRATEGICA_PMP,
    NVL(AVG(ACUMULADO_METAPMP.ACUMULADO_METAPMP),0) AS ACUMULADO_PRIORIDAD
FROM 
PRIORIDAD_ESTRATEGICA_PMP PEPMP
INNER JOIN DETALLE_PMP DPMP ON (DPMP.PRIORIDAD_ESTRATEGICA_PMP = PEPMP.ID_PRIORIDAD_ESTRATEGICA_PMP)
INNER JOIN META_PMP MPMP ON (MPMP.DETALLE_PMP = DPMP.ID_DETALLE_PMP)

--ACUMULADO METAPMP
INNER JOIN (
    SELECT * FROM TABLE(PPI.OBTENER_ACUMULADO_METAPMP_X_PERIODO_ANUAL(:periodoAnual))
) ACUMULADO_METAPMP ON MPMP.ID_META_PMP = ACUMULADO_METAPMP.META_PMP
GROUP BY 
  PEPMP.ID_PRIORIDAD_ESTRATEGICA_PMP
ORDER BY
PEPMP.ID_PRIORIDAD_ESTRATEGICA_PMP
;



--********************************
-- SIN PERIODO
--********************************


-- CONSULTA CON DATOS

SELECT 
PEPMP.ID_PRIORIDAD_ESTRATEGICA_PMP PRIORIDAD_ESTRATEGICA_PMP,
MPMP.ID_META_PMP,
ACUMULADO_METAPMP.ACUMULADO_METAPMP           ACUMULADO_PRIORIDAD
FROM 
PRIORIDAD_ESTRATEGICA_PMP PEPMP
INNER JOIN DETALLE_PMP DPMP ON (DPMP.PRIORIDAD_ESTRATEGICA_PMP = PEPMP.ID_PRIORIDAD_ESTRATEGICA_PMP)
INNER JOIN META_PMP MPMP ON (MPMP.DETALLE_PMP = DPMP.ID_DETALLE_PMP)

--ACUMULADO METAPMP
INNER JOIN (
    SELECT * FROM TABLE(PPI.PPE_OBTENER_ACUMULADO_X_METAPMP())
) ACUMULADO_METAPMP ON MPMP.ID_META_PMP = ACUMULADO_METAPMP.META_PMP

ORDER BY
PEPMP.ID_PRIORIDAD_ESTRATEGICA_PMP,
MPMP.ID_META_PMP
;




  
--FINAL

SELECT 
    PEPMP.ID_PRIORIDAD_ESTRATEGICA_PMP PRIORIDAD_ESTRATEGICA_PMP,
    NVL(AVG(ACUMULADO_METAPMP.ACUMULADO_METAPMP),0) AS ACUMULADO_PRIORIDAD
FROM 
PRIORIDAD_ESTRATEGICA_PMP PEPMP
INNER JOIN DETALLE_PMP DPMP ON (DPMP.PRIORIDAD_ESTRATEGICA_PMP = PEPMP.ID_PRIORIDAD_ESTRATEGICA_PMP)
INNER JOIN META_PMP MPMP ON (MPMP.DETALLE_PMP = DPMP.ID_DETALLE_PMP)

--ACUMULADO METAPMP
INNER JOIN (
    SELECT * FROM TABLE(PPI.PPE_OBTENER_ACUMULADO_X_METAPMP())
) ACUMULADO_METAPMP ON MPMP.ID_META_PMP = ACUMULADO_METAPMP.META_PMP
GROUP BY 
  PEPMP.ID_PRIORIDAD_ESTRATEGICA_PMP
ORDER BY
PEPMP.ID_PRIORIDAD_ESTRATEGICA_PMP
;