--************************************************************
--SELECT PARA OBTENER LA DISTRIBUCION PORCENTUAL X PERIODO ANUAL
--************************************************************
SELECT * FROM (
    SELECT 
        DISTINCT
        APD.APORTE_ESTRATEGICO,
        APD.PERIODO_ANUAL,
        APD.DISTRIBUCION_PORCENTUAL
    FROM
    META_POA_APORTE MPAP
    INNER JOIN (SELECT * FROM TABLE(PPI.OBTENER_METAS_OPE_FUNCIONALES_X_PERIODO_ANUAL(:periodoAnual))) METAS_FUNCIONALES on MPAP.META_POA = METAS_FUNCIONALES.META_POA
    INNER JOIN APORTE_ESTRATEGICO APE ON (APE.ID_APORTE_ESTRATEGICO = MPAP.APORTE_ESTRATEGICO)
    INNER JOIN APORTE_PAE_DISTRIBUCION APD ON (APD.APORTE_ESTRATEGICO = APE.ID_APORTE_ESTRATEGICO)
    WHERE 
    APD.PERIODO_ANUAL IN (SELECT * FROM TABLE(PPI.OBTENER_PERIODO_ANUAL_DISTRIBUCION_X_PERIODO_ANUAL(:periodoAnual))) 
)
PIVOT (
MAX(DISTRIBUCION_PORCENTUAL) FOR PERIODO_ANUAL IN (202 as "2023",222 as "2024",223 as "2025",224 as "2026",225 as "2027")
)
ORDER BY APORTE_ESTRATEGICO;




--************************************************************
--SELECT PARA OBTENER LA DISTRIBUCION PORCENTUAL X PERIODO ANUAL
--************************************************************
SELECT 
* 
FROM 
(
    SELECT 
        DISTINCT
        APD.APORTE_ESTRATEGICO,
        APD.PERIODO_ANUAL,
        APD.DISTRIBUCION_PORCENTUAL
    FROM
    META_POA_APORTE MPAP
    INNER JOIN (SELECT * FROM TABLE(PPI.OBTENER_METAS_OPE_FUNCIONALES())) METAS_FUNCIONALES on MPAP.META_POA = METAS_FUNCIONALES.META_POA
    INNER JOIN APORTE_ESTRATEGICO APE ON (APE.ID_APORTE_ESTRATEGICO = MPAP.APORTE_ESTRATEGICO)
    INNER JOIN APORTE_PAE_DISTRIBUCION APD ON (APD.APORTE_ESTRATEGICO = APE.ID_APORTE_ESTRATEGICO)
    WHERE 
    APD.PERIODO_ANUAL IN (SELECT * FROM TABLE(PPI.OBTENER_PERIODO_ANUAL_DISTRIBUCION())) 
)
PIVOT (
MAX(DISTRIBUCION_PORCENTUAL) FOR PERIODO_ANUAL IN (202 as "2023",222 as "2024",223 as "2025",224 as "2026",225 as "2027")
)
ORDER BY APORTE_ESTRATEGICO;


