CREATE OR REPLACE FUNCTION OBTENER_APD_X_PERIODDO_ANUAL(
    periodoAnual IN NUMBER
)
--RETURN ANO_TABLE_TYPE PIPELINED AS
RETURN PERIODO_ANUAL_TABLE_TYPE PIPELINED AS

    -- Almacena los años en un arreglo
    v_periodos PERIODO_ANUAL_TABLE_TYPE := PERIODO_ANUAL_TABLE_TYPE();

    -- Variable para almacenar el año actual
    v_periodo PERIODO_ANUAL_TYPE;
    
    
    -- Almacena los años en un arreglo
    v_anos ANO_TABLE_TYPE := ANO_TABLE_TYPE();

    -- Variable para almacenar el año actual
    v_ano ANO_TYPE;

BEGIN
    -- Llenar el arreglo con los años
    FOR rec IN (SELECT ANO, ID_PERIODO_ANUAL
                FROM PERIODO_ANUAL
                WHERE ID_PERIODO_ANUAL IN (SELECT PERIODO_ANUAL
                                           FROM TABLE(OBTENER_PERIODOS_ANUALES_DISTRIBUCION_X_PERIDDO_ANUAL(periodoAnual)))
                ORDER BY ANO)
    LOOP
        -- Utilizar el constructor del tipo ANO_TYPE
        v_ano := ANO_TYPE(rec.ANO);
        
        -- Utilizar el constructor del tipo ANO_TYPE
        v_periodo := PERIODO_ANUAL_TYPE(rec.ID_PERIODO_ANUAL);
        
       -- Añadir los resultados al arreglo de años
        v_periodos.EXTEND;
        v_periodos(v_periodos.LAST) := v_periodo;
       
        -- Añadir los resultados al arreglo de años
        v_anos.EXTEND;
        v_anos(v_anos.LAST) := v_ano;

        -- Retornar el objeto usando PIPE ROW
        PIPE ROW(v_periodo);
        --PIPE ROW(v_ano);
    END LOOP;

    -- Terminar la función
    RETURN;

END OBTENER_APD_X_PERIODDO_ANUAL;