--+++++++++++++++++++++++++++++++++++++++++++++++++++++
--PASO 03: Crear FUNCIÓN
--+++++++++++++++++++++++++++++++++++++++++++++++++++++
CREATE OR REPLACE FUNCTION  PPI.OBTENER_PERIODO_ANUAL_DISTRIBUCION_X_PERIODO_ANUAL(
    periodoAnual IN NUMBER
)
RETURN PERIODO_ANUAL_TABLE_TYPE PIPELINED AS

BEGIN
    FOR rec IN (
        SELECT 
        DISTINCT
        APD.PERIODO_ANUAL
        FROM
        META_POA_APORTE MPAP
        INNER JOIN (SELECT *
        FROM TABLE(PPI.OBTENER_METAS_OPE_FUNCIONALES_X_PERIODO_ANUAL(periodoAnual))) METAS_FUNCIONALES on MPAP.META_POA = METAS_FUNCIONALES.META_POA
        INNER JOIN APORTE_ESTRATEGICO APE ON (APE.ID_APORTE_ESTRATEGICO = MPAP.APORTE_ESTRATEGICO)
        INNER JOIN APORTE_PAE_DISTRIBUCION APD ON (APD.APORTE_ESTRATEGICO = APE.ID_APORTE_ESTRATEGICO)
        ORDER BY APD.PERIODO_ANUAL
    ) LOOP
        PIPE ROW (PERIODO_ANUAL_TYPE(rec.PERIODO_ANUAL));
    END LOOP;

    RETURN;

END OBTENER_PERIODO_ANUAL_DISTRIBUCION_X_PERIODO_ANUAL;