
SELECT
 DISTINCT
 APD.PERIODO_ANUAL
FROM 
APORTE_PAE_DISTRIBUCION APD
WHERE APD.APORTE_ESTRATEGICO IN (
SELECT 
    APE.ID_APORTE_ESTRATEGICO
FROM        DETALLE_PLP                     DET_PLP
INNER JOIN  PLAN_LARGO_PLAZO                PLP         ON (PLP.ID_PLAN_LARGO_PLAZO                 =   DET_PLP.PLAN_LARGO_PLAZO)
INNER JOIN  EJE_ESTRATEGICO_PLP             EJE_PLP     ON (EJE_PLP.ID_EJE_ESTRATEGICO_PLP          =   DET_PLP.EJE_ESTRATEGICO_PLP)
INNER JOIN  DETALLE_PMP                     DET_PMP     ON (DET_PMP.EJE_ESTRATEGICO_LARGO_PLAZO     =   EJE_PLP.ID_EJE_ESTRATEGICO_PLP)
INNER JOIN  META_PMP                        MPMP        ON (MPMP.DETALLE_PMP                        =   DET_PMP.ID_DETALLE_PMP)
INNER JOIN  ACCION_ESTRATEGICA              ACE         ON (ACE.META_PMP                            =   MPMP.ID_META_PMP)
INNER JOIN  APORTE_ESTRATEGICO              APE         ON (APE.ACCION_ESTRATEGICA                  =   ACE.ID_ACCION_ESTRATEGICA)
WHERE PLP.ID_PLAN_LARGO_PLAZO = :planLargoPlazo
)
ORDER BY
APD.PERIODO_ANUAL
;


--************************************************************
--SELECT PARA OBTENER LOS PERIODOS_ANUALES DE APORTES POR PERIODO ANUAL
--************************************************************
SELECT 
DISTINCT
APD.PERIODO_ANUAL
FROM
META_POA_APORTE MPAP
INNER JOIN (SELECT *
FROM TABLE(PPI.OBTENER_METAS_OPE_FUNCIONALES_X_PERIODO_ANUAL(:periodoAnual))) METAS_FUNCIONAES on MPAP.META_POA = METAS_FUNCIONAES.META_POA
INNER JOIN APORTE_ESTRATEGICO APE ON (APE.ID_APORTE_ESTRATEGICO = MPAP.APORTE_ESTRATEGICO)
INNER JOIN APORTE_PAE_DISTRIBUCION APD ON (APD.APORTE_ESTRATEGICO = APE.ID_APORTE_ESTRATEGICO)
ORDER BY APD.PERIODO_ANUAL;

