SELECT
EP.ID_ETAPA_PLAN
FROM ETAPA_PLAN EP
WHERE
EP.TIPO_ETAPA = (SELECT VALOR FROM PARAMETRO WHERE LLAVE = 'param_ppi_ppo_tipoEtapa_evaluacion')
AND EP.PERIODO_ANUAL = :periodoAnual
AND EP.TIPO_PLAN_OPERATIVO = (SELECT VALOR FROM PARAMETRO WHERE LLAVE = 'param_ppi_ppo_tipoPlanOperativo_unidad')
AND EP.FECHA_FINAL_EVALUACION <= TRUNC(SYSDATE)
ORDER BY
EP.FECHA_FINAL_EVALUACION DESC
FETCH FIRST 1 ROW ONLY;