--calculo completo
SELECT 
DISTINCT
MPAP.APORTE_ESTRATEGICO                                         APORTE_ESTRATEGICO,
CAN_APO.CANTIDAD_APORTES                                        CANTIDAD_APORTES_X_ACCION,
(1 / CAN_APO.CANTIDAD_APORTES)                                  REPRESENTATIVIDAD,
APD.DISTRIBUCION_1                                              DISTRIBUCION_1,
APD.DISTRIBUCION_2                                              DISTRIBUCION_2,
APD.DISTRIBUCION_3                                              DISTRIBUCION_3,
APD.DISTRIBUCION_4                                              DISTRIBUCION_4,
APD.DISTRIBUCION_5                                              DISTRIBUCION_5,
APD.DISTRIBUCION_1*(1 / CAN_APO.CANTIDAD_APORTES)               PROGRAMACION_1,
APD.DISTRIBUCION_2*(1 / CAN_APO.CANTIDAD_APORTES)               PROGRAMACION_2,
APD.DISTRIBUCION_3*(1 / CAN_APO.CANTIDAD_APORTES)               PROGRAMACION_3,
APD.DISTRIBUCION_4*(1 / CAN_APO.CANTIDAD_APORTES)               PROGRAMACION_4,
APD.DISTRIBUCION_5*(1 / CAN_APO.CANTIDAD_APORTES)               PROGRAMACION_5,
PROMEDIOS.PROMEDIO_1                                            PROMEDIO_1,
PROMEDIOS.PROMEDIO_2                                            PROMEDIO_2,
PROMEDIOS.PROMEDIO_3                                            PROMEDIO_3,
PROMEDIOS.PROMEDIO_4                                            PROMEDIO_4,
PROMEDIOS.PROMEDIO_5                                            PROMEDIO_5,
NVL(((APD.DISTRIBUCION_1*(1 / CAN_APO.CANTIDAD_APORTES)*PROMEDIOS.PROMEDIO_1)/100),0)  EJECUCION_1,
NVL(((APD.DISTRIBUCION_2*(1 / CAN_APO.CANTIDAD_APORTES)*PROMEDIOS.PROMEDIO_2)/100),0)  EJECUCION_2,
NVL(((APD.DISTRIBUCION_3*(1 / CAN_APO.CANTIDAD_APORTES)*PROMEDIOS.PROMEDIO_3)/100),0)  EJECUCION_3,
NVL(((APD.DISTRIBUCION_4*(1 / CAN_APO.CANTIDAD_APORTES)*PROMEDIOS.PROMEDIO_4)/100),0)  EJECUCION_4,
NVL(((APD.DISTRIBUCION_5*(1 / CAN_APO.CANTIDAD_APORTES)*PROMEDIOS.PROMEDIO_5)/100),0)  EJECUCION_5,
(
    NVL(((APD.DISTRIBUCION_1*(1 / CAN_APO.CANTIDAD_APORTES)*PROMEDIOS.PROMEDIO_1)/100),0) +
    NVL(((APD.DISTRIBUCION_2*(1 / CAN_APO.CANTIDAD_APORTES)*PROMEDIOS.PROMEDIO_2)/100),0) +
    NVL(((APD.DISTRIBUCION_3*(1 / CAN_APO.CANTIDAD_APORTES)*PROMEDIOS.PROMEDIO_3)/100),0) +
    NVL(((APD.DISTRIBUCION_4*(1 / CAN_APO.CANTIDAD_APORTES)*PROMEDIOS.PROMEDIO_4)/100),0) +
    NVL(((APD.DISTRIBUCION_5*(1 / CAN_APO.CANTIDAD_APORTES)*PROMEDIOS.PROMEDIO_5)/100),0)
) AS ACUMULADO_APORTE
FROM 
META_POA_APORTE MPAP
INNER JOIN (SELECT * FROM TABLE(PPI.PPE_OBTENER_METAS_OPE_FUNCIONALES())) METAS_FUNCIONALES on MPAP.META_POA = METAS_FUNCIONALES.META_POA
INNER JOIN APORTE_ESTRATEGICO           APE ON (APE.ID_APORTE_ESTRATEGICO = MPAP.APORTE_ESTRATEGICO)
INNER JOIN ACCION_ESTRATEGICA           ACE ON (ACE.ID_ACCION_ESTRATEGICA = APE.ACCION_ESTRATEGICA)
INNER JOIN (SELECT ACCION_ESTRATEGICA, COUNT(*) AS CANTIDAD_APORTES FROM PPI.APORTE_ESTRATEGICO GROUP BY ACCION_ESTRATEGICA) CAN_APO ON CAN_APO.ACCION_ESTRATEGICA = ACE.ID_ACCION_ESTRATEGICA

-- DISTRIBUCION PORCENTUAL
INNER JOIN (
    SELECT * FROM TABLE(PPI.PPE_OBTENER_APD_X_APORTE())
) APD ON APE.ID_APORTE_ESTRATEGICO = APD.APORTE_ESTRATEGICO

-- PROMEDIOS
INNER JOIN (
    SELECT * FROM TABLE(PPI.PPE_OBTENER_PROMEDIOS_X_APORTE())
) PROMEDIOS ON APE.ID_APORTE_ESTRATEGICO = PROMEDIOS.APORTE_ESTRATEGICO


ORDER BY
MPAP.APORTE_ESTRATEGICO
;

