--************************************************************
-- FUNCION: Obtener los datos de la vista solicitada
-- VERSION: 1.0.9
--************************************************************
SELECT
    DISTINCT
    --PLP.CODIGO                                  PLP_CODIGO,
    --EJE_PLP.CODIGO                              EJE_PLP_CODIGO,
    --SUBSTR(EJE_PLP.DESCRIPCION,0,20)            EJE_PLP_DESCRIPCION,
    --OBJ_PLP.CODIGO                              OBJ_PLP_CODIGO,
    --SUBSTR(OBJ_PLP.DESCRIPCION,0,20)            OBJ_PLP_DESCRIPCION,
    --EJE_TRA.CODIGO                              EJE_TRA_CODIGO,
    --EJE_TRA.DESCRIPCION                         EJE_TRA_DESCRIPCION,
    PRI_PMP.ID_PRIORIDAD_ESTRATEGICA_PMP          ID_PRIORIDAD_ESTRATEGICA_PMP,
    --PRI_PMP.CODIGO                              PRI_PMP_CODIGO,
    --SUBSTR(PRI_PMP.DESCRIPCION,0,20)            PRI_PMP_DESCRIPCION,
    ACUMULADO_PRIORIDAD.ACUMULADO_PRIORIDAD       ACUMULADO_PRIORIDAD,
    --OBJ_PMP.CODIGO                              OBJ_PMP_CODIGO,
    --SUBSTR(OBJ_PMP.DESCRIPCION,0,20)            OBJ_PMP_DESCRIPCION,
    MPMP.ID_META_PMP                              ID_META_PMP,
    --MPMP.CODIGO                                 MPMP_CODIGO,
    --SUBSTR(MPMP.DESCRIPCION,0,20)               MPMP_DESCRIPCION, 
    ACUMULADO_METAPMP.ACUMULADO_METAPMP           ACUMULADO_METAPMP,
    --AAU.NOMBRE                                  AMBITO_ACCION_UNIVERITARIA,
    --UE_EM.NOMBRE                                ENCARGADO_MONITOERO,
    --EPES.CODIGO                                 EPES_CODIGO,
    --EPES.NOMBRE                                 EPES_NOMBRE,
    --TEPES.NOMBRE                                TEPES_NOMBRE,
    --OPDS.CODIGO                                 OPDS_CODIGO,
    --OPDS.NOMBRE                                 OPDS_NOMBRE,
    --UE_PACE.NOMBRE                              UE_PACE_NOMBRE,
    ACE.ID_ACCION_ESTRATEGICA                   ID_ACCION_ESTRATEGICA,
    --ACE.CODIGO                                  ACE_CODIGO,
    --SUBSTR(ACE.DESCRIPCION,0,20)                ACE_DESCRIPCION,
    --ACUMULADO_ACCION.ACUMULADO_ACCION           ACUMULADO_ACCION,    
    --UE_PAPE.NOMBRE                              UE_PAPE_NOMBRE,
    --PAPE.ID_PLAN_APORTE_ESTRATEGICO             ID_PLAN_APORTE_ESTRATEGICO,
    --APE.CODIGO                                  APE_CODIGO,
    --SUBSTR(APE.DESCRIPCION,0,20)                APE_DESCRIPCION,
    --APE.CUANTIFICACION                          CUANTIFICACION,
    --APE.LINEA_BASE                              LINEA_BASE,
    --FR.NOMBRE                                   FUENTE_RECURSO,
    --APE.JORNADA                                 JORNADA,
    APE.ID_APORTE_ESTRATEGICO                   ID_APORTE_ESTRATEGICO,
    --APD.ANNO_1                                  ANNO_1,
    --APD.ANNO_2                                  ANNO_2,
    --APD.ANNO_3                                  ANNO_3,
    --APD.ANNO_4                                  ANNO_4,
    --APD.ANNO_5                                  ANNO_5,
    --PROGRAMACION.CANTIDAD_APORTES               CANTIDAD_APORTES,
    --PROGRAMACION.REPRESENTATIVIDAD              REPRESENTATIVIDAD,
    --PROGRAMACION.PROGRAMACION                   PROGRAMACION,
    --PROMEDIO.PROMEDIO                           PROMEDIO,
    --EJECUCION.EJECUCION                         EJECUCION,
    ACUMULADO.ACUMULADO                         ACUMULADO_APORTE,
    ACUMULADO_ACCION.ACUMULADO_ACCION           ACUMULADO_ACCION
FROM 
META_POA_EVALUACION                         MPE
INNER JOIN META_POA                         MP          ON (MP.ID_META_POA                          =   MPE.META_POA)
INNER JOIN OBJETIVO_POA                     OP          ON (OP.ID_OBJETIVO_POA                      =   MP.OBJETIVO_POA)
INNER JOIN PLAN_OPERATIVO                   PO          ON (PO.ID_PLAN_OPERATIVO                    =   OP.PLAN_OPERATIVO)
INNER JOIN UNIDAD_EJECUTORA                 UE_PO       ON (UE_PO.ID_UNIDAD_EJECUTORA               =   PO.UNIDAD_EJECUTORA)
INNER JOIN EVALUACION_OPERATIVA             EO          ON (EO.PLAN_OPERATIVO                       =   PO.ID_PLAN_OPERATIVO)
INNER JOIN META_POA_APORTE                  MPA         ON (MPA.META_POA                            =   MP.ID_META_POA)
INNER JOIN APORTE_ESTRATEGICO               APE         ON (APE.ID_APORTE_ESTRATEGICO               =   MPA.APORTE_ESTRATEGICO)
INNER JOIN PLAN_APORTE_ESTRATEGICO          PAPE        ON (PAPE.ID_PLAN_APORTE_ESTRATEGICO         =   APE.PLAN_APORTE_ESTRATEGICO)
INNER JOIN UNIDAD_EJECUTORA                 UE_PAPE     ON (UE_PAPE.ID_UNIDAD_EJECUTORA             =   PAPE.UNIDAD_EJECUTORA)
LEFT JOIN  APORTE_PAE_FUENTE_RECURSO        APAEFR      ON (APAEFR.APORTE_ESTRATEGICO               =   APE.ID_APORTE_ESTRATEGICO) --FALTAN
LEFT JOIN  FUENTE_RECURSO                   FR          ON (FR.ID_FUENTE_RECURSO                    =   APAEFR.FUENTE_RECURSO) --FALTAN
INNER JOIN ACCION_ESTRATEGICA               ACE         ON (ACE.ID_ACCION_ESTRATEGICA               =   APE.ACCION_ESTRATEGICA)
INNER JOIN PLAN_ACCION_ESTRATEGICA          PACE        ON (PACE.ID_PLAN_ACCION_ESTRATEGICA         =   ACE.PLAN_ACCION_ESTRATEGICA)
INNER JOIN UNIDAD_EJECUTORA                 UE_PACE     ON (UE_PACE.ID_UNIDAD_EJECUTORA             =   PACE.UNIDAD_EJECUTORA)
INNER JOIN META_PMP                         MPMP        ON (MPMP.ID_META_PMP                        =   ACE.META_PMP)
INNER JOIN AMBITO_ACCION_UNIVERSITARIA      AAU         ON (AAU.ID_AMBITO_ACCION_UNIVERSITARIA      =   MPMP.AMBITO_ACCION_UNIVERSITARIA)
INNER JOIN ENCARGADO_MONITOREO              EM          ON (EM.ID_ENCARGADO_MONITOREO               =   MPMP.ENCARGADO_MONITOREO)
INNER JOIN UNIDAD_EJECUTORA                 UE_EM       ON (UE_EM.ID_UNIDAD_EJECUTORA               =   EM.UNIDAD_EJECUTORA)
LEFT  JOIN META_PMP_EJE_PES                 MPEP        ON (MPEP.META_PMP                           =   MPMP.ID_META_PMP) --VACIA
LEFT  JOIN EJE_PES                          EPES        ON (EPES.ID_EJE_PES                         =   MPEP.EJE_PES)
LEFT  JOIN TIPO_EJE_PES                     TEPES       ON (TEPES.ID_TIPO_EJE_PES                   =   EPES.TIPO_EJE_PES)
LEFT  JOIN META_PMP_OBJETIVO_PDS            MPOPDS      ON (MPOPDS.META_PMP                         =   MPMP.ID_META_PMP) --VACIA
LEFT  JOIN OBJETIVO_PDS                     OPDS        ON (OPDS.ID_OBJETIVO_PDS                    =   MPOPDS.OBJETIVO_PDS)
INNER JOIN DETALLE_PMP                      DET_PMP     ON (DET_PMP.ID_DETALLE_PMP                  =   MPMP.DETALLE_PMP)
INNER JOIN PRIORIDAD_ESTRATEGICA_PMP        PRI_PMP     ON (PRI_PMP.ID_PRIORIDAD_ESTRATEGICA_PMP    =   DET_PMP.PRIORIDAD_ESTRATEGICA_PMP)
INNER JOIN OBJETIVO_ESTRATEGICO_PMP         OBJ_PMP     ON (OBJ_PMP.ID_OBJETIVO_ESTRATEGICO_PMP     =   DET_PMP.OBJETIVO_ESTRATEGICO_PMP)
INNER JOIN EJE_ESTRATEGICO_PLP              EJE_PLP     ON (EJE_PLP.ID_EJE_ESTRATEGICO_PLP          =   DET_PMP.EJE_ESTRATEGICO_LARGO_PLAZO)
INNER JOIN DETALLE_PLP                      DET_PLP     ON (DET_PLP.EJE_ESTRATEGICO_PLP             =   EJE_PLP.ID_EJE_ESTRATEGICO_PLP)   
INNER JOIN OBJETIVO_ESTRATEGICO_PLP         OBJ_PLP     ON (OBJ_PLP.ID_OBJETIVO_ESTRATEGICO_PLP     =   DET_PLP.OBJETIVO_ESTRATEGICO_PLP)
INNER JOIN DETALLE_PLP_EJE_TRANSVERSAL      DET_EJE_TRA ON (DET_EJE_TRA.DETALLE_PLP                 =   DET_PLP.ID_DETALLE_PLP)
LEFT  JOIN EJE_TRANSVERSAL_PLP              EJE_TRA     ON (EJE_TRA.ID_EJE_TRANSVERSAL_PLP          =   DET_EJE_TRA.EJE_TRANSVERSAL_PLP) --VACIA
INNER JOIN PLAN_LARGO_PLAZO                 PLP         ON (PLP.ID_PLAN_LARGO_PLAZO                 =   DET_PLP.PLAN_LARGO_PLAZO)

--METAS FUNCIONALES
INNER JOIN (SELECT *
        FROM TABLE(PPI.OBTENER_METAS_OPE_FUNCIONALES_X_PERIODO_ANUAL(:periodoAnual))
) METAS_FUNCIONALES on MPE.META_POA = METAS_FUNCIONALES.META_POA

-- DISTRIBUCION PORCENTUAL
INNER JOIN (
    SELECT * FROM TABLE(PPI.OBTENER_APD_X_PERIODO_ANUAL(:periodoAnual))
) APD ON APE.ID_APORTE_ESTRATEGICO = APD.APORTE_ESTRATEGICO

-- PROGRAMACION
INNER JOIN (
    SELECT * FROM TABLE(PPI.OBTENER_PROGRAMACION_X_PERIODO_ANUAL(:periodoAnual))
) PROGRAMACION ON APE.ID_APORTE_ESTRATEGICO = PROGRAMACION.APORTE_ESTRATEGICO

--***************************************
-- A PARTIR DE SE REQUIERE LA ETAPA_PLAN 
--***************************************

-- PROMEDIO
INNER JOIN (
    SELECT * FROM TABLE(PPI.OBTENER_PROMEDIO_AVANCE_APORTE_X_PERIODO_ANUAL(:periodoAnual))
) PROMEDIO ON APE.ID_APORTE_ESTRATEGICO = PROMEDIO.APORTE_ESTRATEGICO AND MPE.ETAPA_PLAN = PROMEDIO.ETAPA_PLAN

--EJECUCION
INNER JOIN (
    SELECT * FROM TABLE(PPI.OBTENER_EJECUCION_X_PERIODO_ANUAL(:periodoAnual))
) EJECUCION ON APE.ID_APORTE_ESTRATEGICO = EJECUCION.APORTE_ESTRATEGICO AND MPE.ETAPA_PLAN = EJECUCION.ETAPA_PLAN

--ACUMULADO APORTE
INNER JOIN (
    SELECT * FROM TABLE(PPI.OBTENER_ACUMULADO_X_PERIODO_ANUAL(:periodoAnual))
) ACUMULADO ON APE.ID_APORTE_ESTRATEGICO = ACUMULADO.APORTE_ESTRATEGICO

--ACUMULADO ACCION
INNER JOIN (
    SELECT * FROM TABLE(PPI.OBTENER_ACUMULADO_ACCION_X_PERIODO_ANUAL(:periodoAnual))
) ACUMULADO_ACCION ON ACE.ID_ACCION_ESTRATEGICA = ACUMULADO_ACCION.ACCION_ESTRATEGICA


--ACUMULADO METAPMP
INNER JOIN (
    SELECT * FROM TABLE(PPI.OBTENER_ACUMULADO_METAPMP_X_PERIODO_ANUAL(:periodoAnual))
) ACUMULADO_METAPMP ON MPMP.ID_META_PMP = ACUMULADO_METAPMP.META_PMP

--ACUMULADO PRIORIDAD
INNER JOIN (
    SELECT * FROM TABLE(PPI.OBTENER_ACUMULADO_PRIORIDAD_X_PERIODO_ANUAL(:periodoAnual))
) ACUMULADO_PRIORIDAD ON ID_PRIORIDAD_ESTRATEGICA_PMP = ACUMULADO_PRIORIDAD.PRIORIDAD_ESTRATEGICA_PMP

WHERE 
PO.PERIODO_ANUAL = :periodoAnual
AND MPE.ETAPA_PLAN = EO.ETAPA_PLAN
ORDER BY 
ACE.ID_ACCION_ESTRATEGICA,
APE.ID_APORTE_ESTRATEGICO
;


